#include <string.h>
#include <stdio.h>
#include "vars.h"

/***************************************************
 ********* Compare for allow_id list ***************/
  int cmp_id (const void *arg1, const void *arg2)
    {
     void **a1=(void **)arg1,**a2=(void **)arg2;
//     printf("cmp: %s %s\n",*a1,*a2);
     return(strcmp(*a1, *a2));
    }

/***************************************************
 ************ Sort allow_id list *******************/
     
  void sort_id(unsigned char **list,unsigned int last)
  {
   #ifdef DEBUG_LISTS
   int z;
   #endif   

   //Sort allow_id list       
   qsort(list,last,sizeof(unsigned char*),cmp_id);

   #ifdef DEBUG_LISTS
    printf(" === Sorting allow_id ===\n");
    for(z=0;z<last;z++)
     {
      printf("%d %s\n",z,list[z]);
     }
   #endif
  }

/***************************************************
 **************** Find in allow_id list ************/

int check_id(unsigned char **list,unsigned int last)
{
//    printf("Finding %s\n",input_ident);
    
    if (bsearch(&input_ident, list, last, sizeof(unsigned char*),cmp_id)) 
    return(1);      //Found
    else return (0);//Not Found

return(0);
}
